Index: sandbox/jabberit_messenger/trophy_expresso/js/lang/i18n_pt_Br.js
===================================================================
--- sandbox/jabberit_messenger/trophy_expresso/js/lang/i18n_pt_Br.js	(revision 2863)
+++ sandbox/jabberit_messenger/trophy_expresso/js/lang/i18n_pt_Br.js	(revision 2863)
@@ -0,0 +1,30 @@
+
+/**
+* @author [SERPRO] emmanuel.ferro@gmail.com
+* 
+* Contém as mensagens traduzíveis.
+*/
+
+i18n =
+{
+	ME : 'Eu',
+	INACTIVE : ' está inativo.',
+	COMPOSING : ' está digitando...',
+	GONE : ' saiu da conversa.',
+	PAUSED : ' está parado.',
+	STATUS_ANAVAILABLE : 'Desconectado',
+	STATUS_AVAILABLE : 'Disponível',
+	STATUS_ANAVAILABLE : 'Desconectado',
+	   
+	ASK_NEW_NAME_QUESTION : 'Informe um novo nome para ',
+	ASK_NEW_GROUP_QUESTION : 'Informe um novo grupo ou deixe em branco',
+	ASK_FOR_AUTH : 'PEDIR AUTORIZAÇÃO !',
+	CONTACT_ASK_FOR_AUTH : 'CONTATO PEDE AUTORIZAÇÃO !',
+	AUTH_ASK : 'AUTORIZAR ?',
+	AUTH_SENT : 'AUTORIZAÇÃO ENVIADA !',
+	ASK_FOR_AUTH_QUESTION : 'QUERO ADICIONÁ-LO(A) ! POSSO ?',
+	
+	TYPE_YOUR_MESSAGE_HERE_STATUS : 'Digite aqui sua mensagem de Status',
+	TYPE_YOUR_MSG : 'Digite sua mensagem !!!',
+
+}
Index: sandbox/jabberit_messenger/trophy_expresso/js/trophyim.js
===================================================================
--- sandbox/jabberit_messenger/trophy_expresso/js/trophyim.js	(revision 2841)
+++ sandbox/jabberit_messenger/trophy_expresso/js/trophyim.js	(revision 2863)
@@ -481,5 +481,5 @@
 	            loadscript.clrAllContacts();	
 	            
-	            loadscript.setStatusJabber("Desconectado","unavailable");
+	            loadscript.setStatusJabber(i18n.STATUS_ANAVAILABLE,"unavailable");
 	            
 	            delete TrophyIM.rosterObj.roster;
@@ -490,5 +490,5 @@
 		if( status == Strophe.Status.CONNECTED )
 		{
-			loadscript.setStatusJabber('Disponível','available');
+			loadscript.setStatusJabber(i18n.STATUS_AVAILABLE,'available');
 			TrophyIM.statusConn.connected = true;
             TrophyIM.showClient();
@@ -750,5 +750,5 @@
 		if ( state.length > 0 )
 		{
-        	return ' está inativo...';
+        	return i18n.INACTIVE;
 		}
 		else
@@ -757,5 +757,5 @@
             if ( state.length > 0 )
             {
-            	return ' saiu da conversa.';
+            	return i18n.GONE;
 			}
             else
@@ -764,5 +764,5 @@
             	if ( state.length > 0 )
             	{
-               		return ' está digitando...';
+               		return i18n.COMPOSING;
 				}
             	else
@@ -771,5 +771,5 @@
                 	if ( state.length > 0 )
                 	{
-                  		return ' está parado...';
+                  		return i18n.PAUSED;
 					}
 				}
@@ -837,5 +837,5 @@
         	// Add Message in chatBox;
     		TrophyIM.addMessage( _messages, barejid, {
-    			contact : "<font style='font-weight:bold; color:red;'>" + "Eu" + "</font>",
+    			contact : "<font style='font-weight:bold; color:red;'>" + i18n.ME + "</font>",
     			msg : "<br/>" + _textarea.value
     		} );
@@ -967,5 +967,5 @@
     	var name		= TrophyIM.rosterObj.roster[jid].contact.name;
 
-		if(( name = prompt("Informe um novo nome para " + name + "!", name )))
+		if(( name = prompt(i18n.ASK_NEW_NAME_QUESTION + name + "!", name )))
 			if(( name = name.replace(/^\s+|\s+$|^\n|\n$/g,"")) == "" )
 				name = "";
@@ -994,5 +994,5 @@
     	
 		// Group
-		if(( group = prompt("Informe um novo grupo ou deixe em branco", group )))
+		if(( group = prompt( i18n.ASK_NEW_GROUP_QUESTION, group )))
 			if(( group = group.replace(/^\s+|\s+$|^\n|\n$/g,"")) == "" )
 				group = "";
@@ -1254,6 +1254,6 @@
 						{
 							case "none" :
-								
-								paramsContact.status		= " (( PEDIR AUTORIZAÇÃO ! )) ";
+								 							  
+								paramsContact.status		= " (( " + i18n.ASK_AUTHO + " )) ";
 								paramsContact.statusColor	= "red";
 								break;
@@ -1261,5 +1261,5 @@
 							case "to" :
 								
-								paramsContact.status 		= " (( CONTATO PEDE AUTORIZAÇÃO ! )) ";
+								paramsContact.status 		= " (( " + i18n.CONTACT_ASK_FOR_AUTH + ")) ";
 								paramsContact.statusColor	= "orange";
 								break;
@@ -1267,5 +1267,5 @@
 							case "from" :
 								
-								paramsContact.status 		= " (( AUTORIZAR ? )) ";
+								paramsContact.status 		= " (( " + i18n.AUTH_ASK + " )) ";
 								paramsContact.statusColor	= "green";
 								break;
@@ -1273,5 +1273,5 @@
 							case "subscribe" : 
 								
-								paramsContact.status		= " (( AUTORIZAÇÃO ENVIADA ! )) ";
+								paramsContact.status		=  " (( " + i18n.AUTH_SENT + " )) ";
 								paramsContact.statusColor	= "red";	
 								break;
@@ -1279,5 +1279,5 @@
 							case "not-in-roster" :
 								
-								paramsContact.status		= " (( QUERO ADICIONÁ-LO(A) ! POSSO ? )) ";
+								paramsContact.status		= " (( " + i18n.ASK_FOR_AUTH_QUESTION + " )) ";
 								paramsContact.statusColor	= "orange";	
 								break;
@@ -1346,5 +1346,5 @@
 							case "none" :
 								
-								status 		= " (( PEDIR AUTORIZAÇÃOO ! )) ";
+								status 		= " (( " + i18n.ASK_FOR_AUTH  + " )) ";
 								statusColor	= "red";
 								break;
@@ -1352,5 +1352,5 @@
 							case "to" :
 								
-								status 		= " (( CONTATO PEDE AUTORIZAÇÃOO ! )) ";
+								status 		= " (( " + i18n.CONTACT_ASK_FOR_AUTH  + " )) ";
 								statusColor	= "orange";
 								break;
@@ -1358,5 +1358,5 @@
 							case "from" :
 								
-								status 		= " (( AUTORIZAR ? )) ";
+								status 		= " (( " + i18n.AUTH_ASK + " )) ";
 								statusColor = "green";
 								break;
@@ -1364,5 +1364,5 @@
 							case "subscribe" : 
 								
-								status		= " (( AUTORIZAÇÃOO ENVIADA ! )) ";
+								status		= " (( " + i18n.AUTH_SENT  + " )) ";
 								statusColor	= "red";	
 								break;
@@ -1370,5 +1370,5 @@
 							case "not-in-roster" :
 								
-								status		= " (( QUERO ADICIONÁ-LO(A) ! POSSO ? )) ";
+								status		= " (( " + i18n.ASK_FOR_AUTH_QUESTION  + " )) ";
 								statusColor	= "orange";	
 								break;
@@ -1383,11 +1383,4 @@
 					with ( document.getElementById('span_show_' + 'itenContact_' + objContact.contact.jid + '_' + index ) )
 					{
-						/*if( is_open > 0 )
-						{
-							style.display	= statusDisplay;
-							style.color		= statusColor;
-							innerHTML		= status;
-						}*/
-
 						if( presence == "unavailable" && !showOffline )
 						{
@@ -1555,7 +1548,7 @@
 			{
 				if( loadscript.getStatusMessage() != "" )
-					_status = prompt("Digite sua mensagem !!!", loadscript.getStatusMessage());
+					_status = prompt(i18n.TYPE_YOUR_MSG, loadscript.getStatusMessage());
 				else
-					_status = prompt("Digite sua mensagem !!!");
+					_status = prompt(i18n.TYPE_YOUR_MSG);
 				
 				var _divStatus = document.getElementById("JabberIMStatusMessage");
@@ -1569,5 +1562,5 @@
 			}
 
-			for(var resource in TrophyIM.rosterObj.roster[Base64.decode(loadscript.getUserCurrent().jid)].presence )
+			for( var resource in TrophyIM.rosterObj.roster[Base64.decode(loadscript.getUserCurrent().jid)].presence )
 			{
     			if ( TrophyIM.rosterObj.roster[Base64.decode(loadscript.getUserCurrent().jid)].presence[ resource ].constructor == Function )
Index: sandbox/jabberit_messenger/trophy_expresso/js/jscode/loadIM.js
===================================================================
--- sandbox/jabberit_messenger/trophy_expresso/js/jscode/loadIM.js	(revision 2841)
+++ sandbox/jabberit_messenger/trophy_expresso/js/jscode/loadIM.js	(revision 2863)
@@ -911,5 +911,5 @@
 					_label.innerHTML = "( " + _statusMessage + " )";
 				else
-					_label.innerHTML = "( Digite aqui sua mensagem de Status )";
+					_label.innerHTML = "( " + i18n.TYPE_YOUR_MESSAGE_HERE_STATUS + " )";
 				
 				if( _parent != null )
@@ -925,5 +925,5 @@
 				
 				// Send Status Message
-				_statusMessage = ( ( _statusMessage !=  "Digite aqui sua mensagem de Status") ? _statusMessage : "" );				
+				_statusMessage = ( ( _statusMessage !=  i18n.TYPE_YOUR_MESSAGE_HERE_STATUS ) ? _statusMessage : "" );				
 				
 				TrophyIM.setPresence("status", _statusMessage );
@@ -1154,4 +1154,5 @@
 			             		path_jabberit + 'js/connector.js',
 			            	 	path_jabberit + 'js/xtools.js',
+			            	 	path_jabberit + 'js/lang/i18n_pt_Br.js',
 			            	 	path_jabberit +	'js/dragdrop.js',
 			            	 	path_jabberit + 'js/makeW.js',
@@ -1174,5 +1175,5 @@
 			
 			if( !_preferencesIM[3] ) _preferencesIM[3] = "showContactsOfflineJabberit:false";
-				
+			
 			loadScripts(files);
 			
@@ -1210,5 +1211,5 @@
 				configEvents( document, 'onmousemove', autoStatus );
 				configEvents( document, 'onkeypress', autoStatus );
-
+				
 			}, 2000);
 		}