Index: trunk/calendar/inc/class.uiholiday.inc.php
===================================================================
--- trunk/calendar/inc/class.uiholiday.inc.php	(revision 2439)
+++ trunk/calendar/inc/class.uiholiday.inc.php	(revision 2880)
@@ -52,8 +52,5 @@
 			      $GLOBALS['phpgw']->redirect($GLOBALS['phpgw']->link('/admin/index.php'));
 			}
-			//unset($GLOBALS['phpgw_info']['flags']['noheader']);
-			//unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
-			$GLOBALS['phpgw_info']['flags']['noappfooter'] = True;
-			//$GLOBALS['phpgw']->common->phpgw_header();
+			$GLOBALS['phpgw_info']['flags']['noappfooter'] = True;
 
 			$p = &$GLOBALS['phpgw']->template;
@@ -63,4 +60,5 @@
 			$p->set_block('locales','row_empty','row_empty');
 			$p->set_block('locales','submit_column','submit_column');
+			$p->set_block('locales','back_button_form','back_button_form');
 
 			$var = Array(
@@ -111,11 +109,14 @@
 
 			$var = Array(
-				'new_action'		=> $GLOBALS['phpgw']->link($this->base_url,Array('menuaction'=>'calendar.uiholiday.edit_holiday','id'=>0)),
-				'lang_add'			=> lang('add'),
-				'search_action'	=> $GLOBALS['phpgw']->link($this->base_url,Array('menuaction'=>'calendar.uiholiday.admin')),
-				'lang_search'		=> lang('search')
+				'new_action'	=> $GLOBALS[ 'phpgw' ] -> link($this->base_url,Array('menuaction'=>'calendar.uiholiday.edit_holiday','id'=>0)),
+				'lang_add'		=> lang( 'add' ),
+				'back_action'	=> $GLOBALS[ 'phpgw' ] -> link( '/admin/' ),
+				'lang_back'		=> lang( 'Back' ),
+				'search_action'	=> $GLOBALS[ 'phpgw' ] -> link($this->base_url,Array('menuaction'=>'calendar.uiholiday.admin')),
+				'lang_search'	=> lang('search')
 			);
 
 			$p->set_var($var);
+			$p->parse('back_button','back_button_form',False);
 			$p->pparse('out','list');
 		}
@@ -195,5 +196,5 @@
 						$holidays[$i]['name'] = '&nbsp;';
 					}
-					
+
 					$var = Array(
 						'tr_color'		=> $tr_color,
@@ -256,5 +257,5 @@
 
 			$t = &$GLOBALS['phpgw']->template;
-			$t->set_file(Array('holiday'=>'holiday.tpl','form_button'=>'form_button_change_form_action.tpl'));
+			$t->set_file(Array('holiday'=>'holiday.tpl','form_button'=>'form_button_script.tpl'));
 			$t->set_block('holiday','form','form');
 			$t->set_block('holiday','list','list');
@@ -268,5 +269,5 @@
 				$message = '';
 			}
-	
+
 			$var = Array(
 				'title_holiday' => ($this->bo->id ? lang('Edit') : lang('Add')).' '.lang('Holiday'),
@@ -342,11 +343,10 @@
 				);
 			}
-			
+
 			$t->set_var(Array(
-				'action_url_button'	=> $GLOBALS['phpgw']->link($this->base_url,$link_params),
-				'action_text_button'	=> lang('Cancel'),
+				'action_cancel'	=> $GLOBALS['phpgw']->link($this->base_url,$link_params),
+				'lang_cancel'	=> lang('Cancel'),
 			));
-			$t->parse('cancel_button','form_button');
-			
+
 			if ($this->bo->id)
 			{
@@ -359,5 +359,6 @@
 				$t->set_var(Array(
 					'action_url_button'	=> $GLOBALS['phpgw']->link($this->base_url,$link_params),
-					'action_text_button'	=> lang('Delete')
+					'action_text_button'	=> lang('Delete'),
+					'action_extra_field'    => ''
 				));
 				$t->parse('delete_button','form_button');
@@ -378,33 +379,18 @@
 			}
 
-			//unset($GLOBALS['phpgw_info']['flags']['noheader']);
-			//unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
-			$GLOBALS['phpgw_info']['flags']['noappfooter'] = True;
-			//$GLOBALS['phpgw']->common->phpgw_header();
+			$GLOBALS['phpgw_info']['flags']['noappfooter'] = True;
 
 			$p = CreateObject('phpgwapi.Template',$this->template_dir);
-			$p->set_file(Array('form'=>'delete_common.tpl','form_button'=>'form_button_script.tpl'));
-		
-			$p->set_var('messages',lang('Are you sure want to delete this Country?')."<br>".$this->bo->locales[0]);
-
-			$var = Array(
-				'action_url_button'	=> $GLOBALS['phpgw']->link($this->base_url,Array('menuaction'=>'calendar.uiholiday.admin')),
-				'action_text_button'	=> lang('No'),
-				'action_confirm_button'	=> '',
-				'action_extra_field'	=> ''
-			);
-			$p->set_var($var);
-			$p->parse('no','form_button');
-
-			$var = Array(
-				'action_url_button'	=> $GLOBALS['phpgw']->link($this->base_url,Array('menuaction'=>'calendar.boholiday.delete_locale','locale'=>$this->bo->locales[0])),
-				'action_text_button'	=> lang('Yes'),
-				'action_confirm_button'	=> '',
-				'action_extra_field'	=> ''
-			);
-			$p->set_var($var);
-			$p->parse('yes','form_button');
-
-			$p->pparse('out','form');
+			$p->set_file( array( 'form' => 'delete_common.tpl' ) );
+
+			$p->set_var( array(
+				'messages' => lang( 'Are you sure want to delete this Country?' ) . '<br>' . $this->bo->locales[0],
+				'agree_action' => $GLOBALS[ 'phpgw' ] -> link( '/', "menuaction=calendar.boholiday.delete_locale&locale={$this -> bo -> locales[ 0 ]}" ),
+				'agree_lang' => lang('Yes'),
+				'disagree_action' => $GLOBALS[ 'phpgw' ] -> link( '/', 'menuaction=calendar.uiholiday.admin' ),
+				'disagree_lang' => lang('No')
+			) );
+
+			$p->pparse( 'out', 'form' );
 		}
 
@@ -417,32 +403,17 @@
 				$this->edit_locale();
 			}
-			
-			//unset($GLOBALS['phpgw_info']['flags']['noheader']);
-			//unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
-			$GLOBALS['phpgw_info']['flags']['noappfooter'] = True;
-			//$GLOBALS['phpgw']->common->phpgw_header();
+
+			$GLOBALS['phpgw_info']['flags']['noappfooter'] = True;
 
 			$p = CreateObject('phpgwapi.Template',$this->template_dir);
-			$p->set_file(Array('form'=>'delete_common.tpl','form_button'=>'form_button_script.tpl'));
-		
-			$p->set_var('messages',lang('Are you sure want to delete this holiday?')."<br>".$holiday['name'].' ('.$this->bo->locales[0].') '.$this->bo->rule_string($holiday));
-
-			$var = Array(
-				'action_url_button'	=> $GLOBALS['phpgw']->link($this->base_url,Array('menuaction'=>'calendar.uiholiday.edit_locale','locale'=>$this->bo->locales[0],'year'=>$this->bo->year)),
-				'action_text_button'	=> lang('No'),
-				'action_confirm_button'	=> '',
-				'action_extra_field'	=> ''
-			);
-			$p->set_var($var);
-			$p->parse('no','form_button');
-
-			$var = Array(
-				'action_url_button'	=> $GLOBALS['phpgw']->link($this->base_url,Array('menuaction'=>'calendar.boholiday.delete_holiday','locale'=>$this->bo->locales[0],'id'=>$this->bo->id,'year'=>$this->bo->year)),
-				'action_text_button'	=> lang('Yes'),
-				'action_confirm_button'	=> '',
-				'action_extra_field'	=> ''
-			);
-			$p->set_var($var);
-			$p->parse('yes','form_button');
+			$p->set_file( array( 'form' => 'delete_common.tpl' ) );
+
+			$p->set_var( array(
+				'messages' => lang('Are you sure want to delete this holiday?') . "<br>{$holiday[ 'name' ]} ({$this -> bo -> locales[ 0 ]}) {$this -> bo -> rule_string( $holiday )}",
+				'agree_action' => $GLOBALS[ 'phpgw' ] -> link( '/', "menuaction=calendar.boholiday.delete_holiday&locale={$this -> bo -> locales[ 0 ]}&id={$this -> bo -> id}&year={$this -> bo -> year}" ),
+				'agree_lang' => lang('Yes'),
+				'disagree_action' => $GLOBALS[ 'phpgw' ] -> link( '/', "menuaction=calendar.uiholiday.edit_locale&locale={$this -> bo -> locales[ 0 ]}&year={$this -> bo -> year}" ),
+				'disagree_lang' => lang('No')
+			) );
 
 			$p->pparse('out','form');
Index: trunk/calendar/templates/default/locales.tpl
===================================================================
--- trunk/calendar/templates/default/locales.tpl	(revision 2439)
+++ trunk/calendar/templates/default/locales.tpl	(revision 2880)
@@ -27,7 +27,5 @@
   <tr>
    <td align="left">
-    <form method="POST" action="{new_action}">
-     <input type="submit" value="{lang_add}">
-    </form>
+    <input type="button" value="{lang_add}" onclick="ExpressoLivre.link( '{new_action}' )" />
    </td>
    {back_button}
@@ -56,7 +54,5 @@
 <!-- BEGIN back_button_form -->
    <td align="center">
-    <form method="POST" action="{back_action}">
-     <input type="submit" value="{lang_back}">
-    </form>
+    <input type="submit" value="{lang_back}" onclick="ExpressoLivre.link( '{back_action}' )" />
    </td>
 <!-- END back_button_form -->
Index: trunk/calendar/templates/default/holiday.tpl
===================================================================
--- trunk/calendar/templates/default/holiday.tpl	(revision 2439)
+++ trunk/calendar/templates/default/holiday.tpl	(revision 2880)
@@ -2,5 +2,5 @@
 <center>
 {message}<br>
- <form name="form" action="{actionurl}" method="POST">
+<form name="form" action="{actionurl}" method="POST" onsubmit="return ExpressoLivre.form( this );">
 <table border="0" width="80%" cellspacing="2" cellpadding="2"> 
   {hidden_vars}
@@ -11,10 +11,8 @@
     <tr>
      <td>
-	  <div style="padding-top:15px; padding-right: 2px">
-       <input type="submit" name="submit" value="{lang_add}">
-	  </div>
+      <input type="submit" name="submit" value="{lang_add}" />
      </td>
      <td>
-      {cancel_button}
+      <input type="button" value="{lang_cancel}" onclick="ExpressoLivre.link( '{action_cancel}' );" />
      </td>
      <td align="right" width="80%">
Index: trunk/calendar/templates/default/delete_common.tpl
===================================================================
--- trunk/calendar/templates/default/delete_common.tpl	(revision 2)
+++ trunk/calendar/templates/default/delete_common.tpl	(revision 2880)
@@ -8,6 +8,6 @@
    </tr>
    <tr>
-    <td align="center">{no}</td>
-    <td align="center">{yes}</td>
+    <td align="center"><input type="button" value="{disagree_lang}" onclick="ExpressoLivre.link( '{disagree_action}' );" /></td>
+    <td align="center"><input type="button" value="{agree_lang}" onclick="ExpressoLivre.link( '{agree_action}' );" /></td>
    </tr>
   </table>