Index: trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 2892)
+++ trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 2902)
@@ -17,6 +17,6 @@
 function ldapRebind($ldap_connection, $ldap_url)
 {
-	// Enquanto estivermos utilizando referral na arvore ldap, teremos que continuar a utilizar o usuário sistemas:expresso.
-	// Depois, quando não existir mais referral, não existirá a necessidade de ldapRebind.
+	// Enquanto estivermos utilizando referral na arvore ldap, teremos que continuar a utilizar o usuï¿œrio sistemas:expresso.
+	// Depois, quando nï¿œo existir mais referral, nï¿œo existirï¿œ a necessidade de ldapRebind.
 	//ldap_bind($ldap_connection, $GLOBALS['phpgw_info']['server']['ldap_master_root_dn'], $GLOBALS['phpgw_info']['server']['ldap_master_root_pw']);
 	if ( ($_SESSION['phpgw_info']['expresso']['cc_ldap_server']['acc'] != '') && ($_SESSION['phpgw_info']['expresso']['cc_ldap_server']['pw'] != '') )
@@ -196,5 +196,5 @@
 		*/
 		
-		// Este if é para utilizar o master. (para replicação)
+		// Este if ï¿œ para utilizar o master. (para replicaï¿œï¿œo)
 		if ( (!empty($GLOBALS['phpgw_info']['server']['ldap_master_host'])) && ($ldap_connection = ldap_connect($GLOBALS['phpgw_info']['server']['ldap_master_host'])) )
 		{
@@ -277,5 +277,5 @@
 			if ($this->current_config['expressoAdmin_prefix_org'] == 'true')
 			{
-				//Obtenho UID sem a organização. Na criação o uid já vem sem a organização
+				//Obtenho UID sem a organizaï¿œï¿œo. Na criaï¿œï¿œo o uid jï¿œ vem sem a organizaï¿œï¿œo
 				$tmp_uid_without_org = split("-", $params['uid']);
 				$tmp_reverse_uid_without_org = array_reverse($tmp_uid_without_org);
@@ -292,5 +292,5 @@
 			if (($type == 'rename_user') && ($this->current_config['expressoAdmin_prefix_org'] == 'true'))
 			{
-				//Obtenho UID sem a organização. Na criação o uid já vem sem a organização
+				//Obtenho UID sem a organizaï¿œï¿œo. Na criaï¿œï¿œo o uid jï¿œ vem sem a organizaï¿œï¿œo
 				$tmp_uid_without_org = split("-", $params['uid']);
 				$tmp_reverse_uid_without_org = array_reverse($tmp_uid_without_org);
@@ -335,5 +335,5 @@
 			
 			
-			// UID em outras organizações, pesquiso apenas na maquina local e se utilizar prefix_org
+			// UID em outras organizaï¿œï¿œes, pesquiso apenas na maquina local e se utilizar prefix_org
 			if ($this->current_config['expressoAdmin_prefix_org'] == 'true')
 			{
@@ -344,5 +344,5 @@
 				$context = $GLOBALS['phpgw_info']['server']['ldap_context'];
 				
-				//Obtenho UID sem a organização
+				//Obtenho UID sem a organizaï¿œï¿œo
 				/*
 				$tmp_uid_without_org = split("-", $params['uid']);
@@ -350,5 +350,5 @@
 				{
 					$result['status'] = false;
-					$result['msg'] = 'Novo login sem organização.';
+					$result['msg'] = 'Novo login sem organizaï¿œï¿œo.';
 					return $result;
 				}
@@ -439,5 +439,5 @@
 				else
 				{
-					//retira caracteres que não são números.
+					//retira caracteres que nï¿œo sï¿œo nï¿œmeros.
 					$cpf = ereg_replace("[^0-9]", "", $cpf);
 				
@@ -457,5 +457,5 @@
 				
 					$filter = "(&(phpgwAccountType=u)(cpf=$cpf))";
-					$justthese = array("cn","uid");
+					$justthese = array("cn","uid","mail");
 					$search = ldap_search($local_ldap_connection, $context, $filter, $justthese);
 					$entries = ldap_get_entries($local_ldap_connection,$search);
@@ -469,5 +469,5 @@
 									{
 										if (strcasecmp($uid, $entries[$i]['uid'][0]) != 0)
-										$entries_text .= "- " . $entries[$i]['cn'][0] . "\n";
+										$entries_text .= $entries_text .= $entries[$i]['cn'][0] ." - ".$entries[0]['uid'][0] ." - ".$entries[$i]['mail'][0]."\n";
 									}
 								if ($this->current_config['expressoAdmin_deny_same_cpf'] == 'false' ) 
@@ -685,5 +685,5 @@
 	}
 
-	//Busca usuários de um contexto e já retorna as options do select;
+	//Busca usuï¿œrios de um contexto e jï¿œ retorna as options do select;
 	function get_available_users($params)
 	{
@@ -753,5 +753,5 @@
 		}
 	}
-	//Busca usuários e listas de um contexto e já retorna as options do select;
+	//Busca usuï¿œrios e listas de um contexto e jï¿œ retorna as options do select;
 	function get_available_users_and_maillist($params)
 	{
@@ -759,5 +759,5 @@
 		$recursive = $params['recursive'];
 		
-		//Usado para retirar a própria lista das possibilidades de inclusão.
+		//Usado para retirar a prï¿œpria lista das possibilidades de inclusï¿œo.
 		$denied_uidnumber = $params['denied_uidnumber'];
 		
@@ -945,5 +945,5 @@
 	}	
 	
-	// Pode receber tanto um único memberUid quanto um array de memberUid's
+	// Pode receber tanto um ï¿œnico memberUid quanto um array de memberUid's
 	function add_user2group($gidNumber, $memberUid)
 	{
@@ -1310,5 +1310,5 @@
 				}
 		
-				// Checamos e-mails que não fazem parte do expresso.
+				// Checamos e-mails que nï¿œo fazem parte do expresso.
 				// Criamos um array temporario
 				$tmp_array = array();
@@ -1322,5 +1322,5 @@
 					// Retira o count do array
 					array_shift($entry[0]['memberuid']);
-					// Vemos a diferença
+					// Vemos a diferenï¿œa
 					$array_diff = array_diff($entry[0]['memberuid'], $tmp_array);
 					// Incluimos no resultado			
@@ -1411,5 +1411,5 @@
 				}
 
-				// Emails não encontrados no ldap
+				// Emails nï¿œo encontrados no ldap
 				array_shift($entry[0]['mailforwardingaddress']); //Retira o count do array
 				$missing_emails = array_diff($entry[0]['mailforwardingaddress'], $result['mailForwardingAddress']);
@@ -1509,5 +1509,5 @@
 			
 				/* o gerente pode excluir um grupo de um usuario onde este grupo esta em outra OU ? */
-				/* é o mesmo que o manager editar um grupo de outra OU */
+				/* ï¿œ o mesmo que o manager editar um grupo de outra OU */
 				$result['groups_info'][$i]['group_disabled'] = 'true';
 				foreach ($this->manager_contexts as $index=>$context)
@@ -1631,5 +1631,5 @@
 	function delete_user($user_info)
 	{
-		// Verifica acesso do gerente (OU) ao tentar deletar um usuário.
+		// Verifica acesso do gerente (OU) ao tentar deletar um usuï¿œrio.
 		$manager_access = false;
 		foreach ($this->manager_contexts as $index=>$context)
@@ -1912,5 +1912,5 @@
 	}
 	
-	// Primeiro nilvel de organização.
+	// Primeiro nilvel de organizaï¿œï¿œo.
 	function exist_sambadomains_in_context($params)
 	{