Index: /trunk/expressoMail1_2/js/jscode/draw_api_folders.js
===================================================================
--- /trunk/expressoMail1_2/js/jscode/draw_api_folders.js	(revision 2929)
+++ /trunk/expressoMail1_2/js/jscode/draw_api_folders.js	(revision 2930)
@@ -50,11 +50,11 @@
 
 function draw_search_header_box(){
-	var table_message_header_box = Element("table_message_header_box");
-	table_message_header_box.parentNode.removeChild(table_message_header_box);
+	var _tbl_msghead_bx = Element("_tbl_msghead_bx");
+	_tbl_msghead_bx.parentNode.removeChild(_tbl_msghead_bx);
 
 	var content_id_0 = Element("content_id_0");
 	var table_element = document.createElement("TABLE");
 	var tbody_element = document.createElement("TBODY");
-	table_element.setAttribute("id", "table_message_header_box");
+	table_element.setAttribute("id", "_tbl_msghead_bx");
 	table_element.className = "table_message_header_box";
 	tr_element = document.createElement("TR");
@@ -667,20 +667,20 @@
 
 		if ( ! expresso_offline )
-			var display_unseen_in_mailbox = tree_folders.getNodeById( 'root' );
+			var _disp_unseen_mb = tree_folders.getNodeById( 'root' );
 		else
-			var display_unseen_in_mailbox = tree_folders.getNodeById( 'local_root' );
-
-		display_unseen_in_mailbox.alter( {
+			var _disp_unseen_mb = tree_folders.getNodeById( 'local_root' );
+
+		_disp_unseen_mb.alter( {
 			"caption" : get_lang( "My Folders" )
 		} );
 
-		display_unseen_in_mailbox._refresh( );
-
-		var display_unseen_in_shared_folders = tree_folders.getNodeById( 'user' );
-
-		if ( display_unseen_in_shared_folders )
+		_disp_unseen_mb._refresh( );
+
+		var _dip_unseen_shardfolder = tree_folders.getNodeById( 'user' );
+
+		if ( _dip_unseen_shardfolder )
 		{
 			if ( unseen_in_shared_folders )
-				display_unseen_in_shared_folders.alter( {
+				_dip_unseen_shardfolder.alter( {
 					"caption" : '<font style=color:red>[</font><span id="dftree_user_unseen" style="color:red">'
 								+ unseen_in_shared_folders
@@ -689,9 +689,9 @@
 				} );
 			else
-				display_unseen_in_shared_folders.alter( {
+				_dip_unseen_shardfolder.alter( {
 					"caption" : get_lang( "Shared folders" )
 				} );
 
-			display_unseen_in_shared_folders._refresh( );
+			_dip_unseen_shardfolder._refresh( );
 		}
 	}
@@ -1133,8 +1133,8 @@
 	openTab.content_id[numBox] = document.getElementById("content_id_"+numBox);
 	openTab.type[numBox] = 0;
-	table_message_header_box = Element("table_message_header_box_"+numBox);
-	if (table_message_header_box == null){
+	_tbl_msghead_bx = Element("_tbl_msghead_bx_"+numBox);
+	if (_tbl_msghead_bx == null){
 		var table_element = document.createElement("TABLE");
-		table_element.setAttribute("id", "table_message_header_box_"+numBox);
+		table_element.setAttribute("id", "_tbl_msghead_bx_"+numBox);
 		table_element.setAttribute('class',  "table_message_header_box");
 
Index: /trunk/expressoMail1_2/js/jscode/sharemailbox.js
===================================================================
--- /trunk/expressoMail1_2/js/jscode/sharemailbox.js	(revision 2519)
+++ /trunk/expressoMail1_2/js/jscode/sharemailbox.js	(revision 2930)
@@ -8,5 +8,5 @@
 	cShareMailbox.prototype.get_available_users = function(context)
 	{
-		var handler_get_available_users = function(data)
+		var _hand_getavluser = function(data)
 		{
 			select_available_users = document.getElementById('em_select_available_users');
@@ -30,5 +30,5 @@
 			}
 		}
-		cExecute ("expressoMail1_2.ldap_functions.get_available_users2&context="+context, handler_get_available_users);
+		cExecute ("expressoMail1_2.ldap_functions.get_available_users2&context="+context, _hand_getavluser);
 	}
 
@@ -310,7 +310,7 @@
 		//Limpa todo o select
 		
-		var select_available_users_tmp = document.getElementById('em_select_available_users')
-		for(var i = 0;i < select_available_users_tmp.options.length; i++)
-			select_available_users_tmp.options[i--] = null;
+		var _sel_avlusertmp = document.getElementById('em_select_available_users')
+		for(var i = 0;i < _sel_avlusertmp.options.length; i++)
+			_sel_avlusertmp.options[i--] = null;
 
 		var RegExp_name = new RegExp("\\b"+oText.value, "i");
@@ -320,5 +320,5 @@
 			if (RegExp_name.test(select_available_users_clone[i].text))
 			{
-				sel = select_available_users_tmp.options;
+				sel = _sel_avlusertmp.options;
 				option = new Option(select_available_users_clone[i].text,select_available_users_clone[i].value);				
 				sel[sel.length] = option;
Index: /trunk/expressoMail1_2/js/jscode/common_functions.js
===================================================================
--- /trunk/expressoMail1_2/js/jscode/common_functions.js	(revision 2929)
+++ /trunk/expressoMail1_2/js/jscode/common_functions.js	(revision 2930)
@@ -601,8 +601,8 @@
 		if ( _disp_unseenshfolder )
 		{
-			var unseen_in_shared_folders = parseInt( _disp_unseenshfolder.innerHTML );
-			unseen_in_shared_folders--;
-			if ( unseen_in_shared_folders > 0 )
-				tree_folders.getNodeById( 'user' ).alter({caption:'<font style=color:red>[</font><span id="dftree_root_unseen" style="color:red">' + unseen_in_shared_folders + '</span><font style=color:red>]</font>' + get_lang("My Folders")});
+			var _useen_shfolder = parseInt( _disp_unseenshfolder.innerHTML );
+			_useen_shfolder--;
+			if ( _useen_shfolder > 0 )
+				tree_folders.getNodeById( 'user' ).alter({caption:'<font style=color:red>[</font><span id="dftree_root_unseen" style="color:red">' + _useen_shfolder + '</span><font style=color:red>]</font>' + get_lang("My Folders")});
 			else
 				tree_folders.getNodeById( 'user' ).alter({caption:get_lang("Shared folders")});
Index: /trunk/expressoMail1_2/js/jscode/main.js
===================================================================
--- /trunk/expressoMail1_2/js/jscode/main.js	(revision 2929)
+++ /trunk/expressoMail1_2/js/jscode/main.js	(revision 2930)
@@ -304,5 +304,5 @@
 		return;
 	}
-	var handler_sendNotification = function(data){
+	var _hand_sendnotif = function(data){
 		if (data)
 			write_msg(get_lang("A read confirmation was sent."));
@@ -327,5 +327,5 @@
 			/*	var confNotification = confirm(get_lang("The sender waits your notification of reading. Do you want to confirm this?"), "");
 				if (confNotification)*/
-			//        cExecute ("expressoMail1_2.imap_functions.send_notification&notificationto="+msg_info.DispositionNotificationTo+"&subject="+url_encode(msg_info.subject), handler_sendNotification);
+			//        cExecute ("expressoMail1_2.imap_functions.send_notification&notificationto="+msg_info.DispositionNotificationTo+"&subject="+url_encode(msg_info.subject), _hand_sendnotif);
 			// }
 
@@ -387,5 +387,5 @@
 				var confNotification = confirm(get_lang("The sender:\n%1\nwaits your notification of reading. Do you want to confirm this?",msg_info.DispositionNotificationTo), "");
 			if (confNotification)
-				cExecute ("expressoMail1_2.imap_functions.send_notification&notificationto="+msg_info.DispositionNotificationTo+"&subject="+url_encode(msg_info.subject), handler_sendNotification);
+				cExecute ("expressoMail1_2.imap_functions.send_notification&notificationto="+msg_info.DispositionNotificationTo+"&subject="+url_encode(msg_info.subject), _hand_sendnotif);
 		}
 		//Change msg class to read.
@@ -594,5 +594,5 @@
 	}
 	selected_messages = selected_messages.substring(0,(selected_messages.length-1));
-	var handler_move_search_msgs = function(data){
+	var _hand_mvsearchmsg = function(data){
 		if(!data || !data.msgs_number)
 			return;
@@ -660,5 +660,5 @@
 			params += "&new_folder_name="+url_encode(new_folder_name);
 		}
-		cExecute ("expressoMail1_2.imap_functions.move_search_messages", handler_move_search_msgs, params);
+		cExecute ("expressoMail1_2.imap_functions.move_search_messages", _hand_mvsearchmsg, params);
 	}
 	else
@@ -826,9 +826,9 @@
 	if (parseInt(id_msgs) > 0 || id_msgs.length > 0)
 		expresso_mail_sync.archive_msgs(folder,folder_dest,id_msgs); 
-		//cExecute("expressoMail1_2.imap_functions.get_info_msgs&folder=" + folder + "&msgs_number=" + id_msgs , handler_arquivar_mensagens);
+		//cExecute("expressoMail1_2.imap_functions.get_info_msgs&folder=" + folder + "&msgs_number=" + id_msgs , _hand_arqmsg);
 	else 
 		write_msg(get_lang('No selected message.'));
 	/*var has_local_messages_before = expresso_local_messages.has_local_mails(); //vejo se já tinha mensagens locais
-	var handler_arquivar_mensagens = function(data) {
+	var _hand_arqmsg = function(data) {
 		var sucess = true;
 		var temp;
@@ -879,5 +879,5 @@
 		id_msgs = get_selected_messages();
 	if (parseInt(id_msgs) > 0 || id_msgs.length > 0) 
-		cExecute("expressoMail1_2.imap_functions.get_info_msgs&folder=" + folder + "&msgs_number=" + id_msgs , handler_arquivar_mensagens);
+		cExecute("expressoMail1_2.imap_functions.get_info_msgs&folder=" + folder + "&msgs_number=" + id_msgs , _hand_arqmsg);
 	else 
 		write_msg(get_lang('No selected message.'));*/
Index: /trunk/expressoMail1_2/js/jscode/draw_messages.js
===================================================================
--- /trunk/expressoMail1_2/js/jscode/draw_messages.js	(revision 2929)
+++ /trunk/expressoMail1_2/js/jscode/draw_messages.js	(revision 2930)
@@ -380,11 +380,11 @@
 
 		if (info_msg.Flagged == "F")
-			var option_mark_important = '<span class="message_options" onclick="changeLinkState(this,\'important\');set_messages_flag(\'unflagged\','+
+			var _optmarkimportant = '<span class="message_options" onclick="changeLinkState(this,\'important\');set_messages_flag(\'unflagged\','+
 							folder_id+');write_msg(\''+get_lang('Message marked as ')+get_lang("Normal")+
 							'.\');">'+get_lang("Normal")+'</span>';
 		else
-			var option_mark_important = '<span class="message_options" onclick="changeLinkState(this,\'normal\');set_messages_flag(\'flagged\','+folder_id+');write_msg(\''+get_lang('Message marked as ')+get_lang("Important")+
+			var _optmarkimportant = '<span class="message_options" onclick="changeLinkState(this,\'normal\');set_messages_flag(\'flagged\','+folder_id+');write_msg(\''+get_lang('Message marked as ')+get_lang("Important")+
 								    '.\');">'+get_lang("Important")+'</span>';
-		option_mark.innerHTML = option_mark_as+option_mark_as_unseen+option_mark_important;
+		option_mark.innerHTML = option_mark_as+option_mark_as_unseen+_optmarkimportant;
 
 		var option_forward = createAndSet("SPAN",['id','class'],['msg_opt_forward_'+this.id, 'message_options'],get_lang('Forward'));
@@ -434,5 +434,5 @@
 
 		var option_mark_as_unseen	= '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'unseen\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Unseen")+'.\');">'+get_lang("Unseen")+'</span>, ';
-		var option_mark_as_important			= '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'flagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Important")+'.\');">'+get_lang("Important")+'</span>, ';
+		var _optmarkimportant			= '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'flagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Important")+'.\');">'+get_lang("Important")+'</span>, ';
 		var option_mark_as_normal				= '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'unflagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Normal")+'.\');">'+get_lang("Normal")+'</span> | ';
 